using Jitter.LinearMath;
using Microsoft.Xna.Framework;
using Protoinject;

namespace SuperBallBrawlers
{
    public interface IEntityFactory : IGenerateFactory
    {
        PlayerEntity CreatePlayerEntity(string texture, int index);

        PlayerPoppedEntity CreatePlayerPoppedEntity(string model, string texture, Vector3 transformLocalPosition, JVector momentum, Vector3 initialForce);
    }
}
